1

I am attempting to update my store from 1.9.3.2 to 1.9.3.3 via the connect manager I tried deleting Mage_All_Latest.txt in pkginfo then check for upgrades and then update Mage_All_Latest however, all other show 1.9.3.2 whilst Mage_All_Latest shows 1.9.3.3.

I have tried searching the internet for this, but cannot fathom nor identify what has gone wrong if anyone could help I would be indebted to you. 1.9.3.2 MODULES 1.9.3.3

Update:

Going into Var/packages I removed the xml file for 1.9.3.3 and replaced with 1.9.3.2 version. Then trying again but get:

Checking dependencies of packages Already installed: community/Interface_Install_Default 1.9.3.3, skipping Already installed: community/Mage_Downloader 1.9.3.3, skipping Already installed: community/Lib_Cm 1.9.3.3, skipping

CONNECT ERROR: Failed to delete files: /var/www/html/mag19/./pkginfo/Mage_All_Latest.txt  Check permissions Package community/Interface_Adminhtml_Default 1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Interface_Frontend_Default 1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Mage_Centinel
1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Interface_Frontend_Base_Default 1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Phoenix_Moneybookers 1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Mage_Compiler
1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Magento_Mobile 1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Cm_RedisSession
1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Interface_Frontend_Rwd_Default 1.9.3.3 conflicts with: community/Mage_All_Latest 1.9.3.2 Package community/Mage_Core_Adminhtml 1.9.3.3 conflicts with: community/Interface_Adminhtml_Default 1.9.3.2, community/Mage_Compiler
1.9.3.2, community/Mage_All_Latest 1.9.3.2 Package community/Mage_Core_Modules 1.9.3.3 conflicts with: community/Interface_Frontend_Default 1.9.3.2, community/Mage_Centinel
1.9.3.2, community/Interface_Frontend_Base_Default 1.9.3.2, community/Phoenix_Moneybookers 1.9.3.2, community/Mage_Compiler
1.9.3.2, community/Magento_Mobile 1.9.3.2, community/Interface_Frontend_Rwd_Default 1.9.3.2, community/Mage_Core_Adminhtml 1.9.3.2, community/Mage_All_Latest
1.9.3.2 Package community/Lib_Js_Ext 1.9.3.3 conflicts with: community/Interface_Adminhtml_Default 1.9.3.2, community/Mage_Core_Adminhtml 1.9.3.2 Package community/Lib_LinLibertineFont 2.8.14.9 conflicts with: community/Mage_Core_Adminhtml 1.9.3.2 Package community/Lib_Js_TinyMCE
3.5.11.8 conflicts with: community/Mage_Core_Adminhtml 1.9.3.2 Package community/Lib_Varien 1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Google_Checkout 1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Js_Calendar
1.51.1.9 conflicts with: community/Mage_Core_Adminhtml 1.9.3.2, community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Js_Mage
1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Phpseclib 1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Mage_Locale_en_US 1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Mage 1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Magento 1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Credis
1.9.3.3 conflicts with: community/Cm_RedisSession 1.9.3.2, community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Pelago
1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_Unserialize 1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_IDNA2
1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2 Package community/Lib_ZF 1.12.10.8 conflicts with: community/Lib_Varien
1.9.3.2 Package community/Lib_Js_Prototype 1.9.3.3 conflicts with: community/Mage_Core_Modules 1.9.3.2, community/Lib_Js_Mage 1.9.3.2 Package community/Lib_ZF_Locale 1.12.10.8 conflicts with: community/Lib_ZF 1.12.10.7

If I were to apply the patch instead what is the difference from upgrade ?

  • i donot thought you need update the version just need to apply patch – Amit Bera Jun 1 '17 at 20:08
  • well site is down now I get Not valid template file:adminhtml/base/default/template/page.phtml – Vaishal Patel Jun 1 '17 at 20:21
  • Suggestion for now restore the system from backup – Amit Bera Jun 1 '17 at 20:23
  • Amit Bera I shall shave to I also get 2017-06-01T20:20:07+00:00 CRIT (2): Not valid template file:adminhtml/base/default/template/page.phtml – Vaishal Patel Jun 1 '17 at 20:26
2

Magento Connect is rather unreliable and can cause issues. If you have FTP/SSH access best thing to do is the following:

Remember to clear cache and session folder before the upgrade.

Files to copy and replace from new one:

  1. Index.php
  2. Api.php
  3. Get.php
  4. Install.php
  5. Folder downloader (entire folder is fine)
  6. Folder dev (entire folder is fine)
  7. Lib folder (don’t copy paste folder in one. Copy inside files and folders from new version lib folder then paste into older versions lib folder)
  8. js folder (don’t copy paste folder in one. Copy inside files and folders from new version js folder then paste into older versions js folder)
  9. File app/mage.php
  10. File app/etc/config.xml
  11. File app/etc/local.xml.additional
  12. File app/etc/local.xml.template
  13. Folder app/etc/modules (don’t copy paste folder in one. Copy inside files and folders from new version modules folder then paste into older versions modules folder)
  14. folder app/design/install (entire folder is fine)
  15. file app/design/adminhtml/default/default/etc/theme.xml

16) folder app/design/adminhtml/default/default/layout (don’t copy paste folder in one. Copy inside files and folders from new version layout folder then paste into older versions layout folder)

17) folder app/design/adminhtml/default/default/template (don’t copy paste folder in one. Copy inside files and folders from new version template folder then paste into older versions template folder)

18) folder app/design/frontend/base/default/template (don’t copy paste folder in one. Copy inside files and folders from new version template folder then paste into older versions template folder)

19) folder app/design/frontend/base/default/layout (don’t copy paste folder in one. Copy inside files and folders from new version layout folder then paste into older versions layout folder)

20) folder app/design/frontend/default/default/layout (don’t copy paste folder in one. Copy inside files and folders from new version layout folder then paste into older versions layout folder)

21) folder app/design/frontend/default/default/template (don’t copy paste folder in one. Copy inside files and folders from new version template folder then paste into older versions template folder)

22) Folder app/code/core (entire folder is fine)

23) Folder includes (entire folder is fine)

24) Folder shell (entire folder is fine)

25) Folder app/code/community (don’t copy paste folder in one. Copy inside files and folders from new version community folder then paste into older versions community folder)

26) Folder var/package (don’t copy paste folder in one. Copy inside files and folders from new version package folder then paste into older versions package folder)

protected by Community Jun 27 '17 at 12:43

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.